

class ldap::client {

    package { "openldap-client":
        name   => $operatingsystem ? {
            openbsd => "openldap-client",
            default => "openldap-clients",
        },
        ensure => installed,
    }

    file { "/etc/openldap/ldap.conf":
        ensure  => present,
        content => template("ldap/ldap.conf.erb"),
        mode    => 0644,
        owner   => root,
        group   => $operatingsystem ? {
            openbsd => wheel,
            default => root,
        },
        require => Package["openldap-client"],
    }

}
